Ingestion keys

Update ingestion key

PUT
/workspaces/{workspaceId}/ingestion-keys/{ingestionKeyId}

Authorization

API key Ingest keys: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Ingest keys: write

Path Parameters

workspaceId*string
Formatuuid
ingestionKeyId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

displayName*string
description?null|string

Response Body

application/json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ingestion-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "createdAt": "2019-08-24T14:15:22Z",  "secret": "string",  "displayName": "string",  "description": null}